Merge commit 'bda74564e3b1b9bbaa77f840215f7d99d0b77ed8'

pull/735/head v1.8.2
romkatv 4 years ago
commit f43d8b9e0e

@ -205,31 +205,30 @@ END
[ -d "$cache_dir" ] || mkdir -p -- "$cache_dir" || return [ -d "$cache_dir" ] || mkdir -p -- "$cache_dir" || return
local url="https://github.com/romkatv/gitstatus/releases/download/$version/$file.tar.gz" local url="https://github.com/romkatv/gitstatus/releases/download/$version/$file.tar.gz"
local archive="$cache_dir"/"$file".tmp.$$.tar.gz
if command -v curl >/dev/null 2>&1; then
# `cd` is a workaround for Cygwin. It cannot handle -o with slashes.
if ! err="$(cd ${ZSH_VERSION:+-q} -- "$cache_dir" 2>&1 &&
command curl -fsSLo "${archive##*/}" -- "$url" 2>&1)"; then
>&2 printf "%s\n" "$err"
>&2 echo "[gitstatus] error: failed to download gitstatusd: $url"
return 1
fi
elif command -v wget >/dev/null 2>&1; then
if ! err="$(command wget -O "$archive" -- "$url" 2>&1)"; then
>&2 printf "%s\n" "$err"
>&2 echo "[gitstatus] error: failed to download gitstatusd: $url"
return 1
fi
else
>&2 echo "[gitstatus] error: please install curl or wget"
return 1
fi
( (
if [ -n "${ZSH_VERSION:-}" ]; then if [ -n "${ZSH_VERSION:-}" ]; then
builtin cd -q -- "$cache_dir" || return builtin cd -q -- "$cache_dir" || exit
else
cd -- "$cache_dir" || exit
fi
local archive="$file".tmp.$$.tar.gz
local err
if command -v curl >/dev/null 2>&1; then
err="$(command curl -fsSLo "$archive" -- "$url" 2>&1)"
elif command -v wget >/dev/null 2>&1; then
err="$(command wget -O "$archive" -- "$url" 2>&1)"
else else
cd -- "$cache_dir" || return >&2 echo "[gitstatus] error: please install curl or wget"
exit 1
fi
if [ $? != 0 ]; then
>&2 printf "%s\n" "$err"
>&2 echo "[gitstatus] error: failed to download gitstatusd: $url"
exit 1
fi fi
local old= local old=
@ -240,7 +239,7 @@ END
[ -e "$old" ] || break [ -e "$old" ] || break
i="$((i+1))" i="$((i+1))"
done done
command mv -f -- "$daemon" "$old" || return command mv -f -- "$daemon" "$old" || exit
fi fi
command tar -xzf "$archive" command tar -xzf "$archive"

Loading…
Cancel
Save